      SUBROUTINE ugeom
C+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
! User routine to initialize geometry
C-----------------------------------------------------------------------------

      implicit none

C User common block with geometry parameters

       include 'gcflag.inc'
C
******************************************************************************

      CALL GIDROP
      CALL GMATE

C Subroutine to define materials


      CALL UGDEFMAT

C Subroutine to define world volume
      CALL UGDEFMOTH

C Subroutine to define the scintillator
      CALL UGDEFSCINT

C Subroutine to define the holder volume
      CALL UGDEFHOLDER

C Subroutine to define the lead block
      CALL UGDEFBLOCK

C Subroutine to define the holder lid
      CALL UGDEFLID

C Subroutine to define and place the source
      CALL UGDEFSOURCE

C Subroutine to define the tube of water
      CALL UGDEFBODY

C Subroutine to define the tube of carbon
C      CALL UGDEFSKIN


C Define source
C 
C subroutine to define radioactive source geometry
C      CALL UGDEFSOURCE

C Define body
C 
C subroutine to define 'body'
C
C      CALL UGDEFBODY

C Finish geant initialization

      CALL GPART
      CALL GPHYSI
      CALL GGCLOS

      return

C Format statements

      END
